Bug 197948 - Improve context view applet handling
Summary: Improve context view applet handling
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View (show other bugs)
Version: 2.2-SVN
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-26 12:07 UTC by Marco Carrai
Modified: 2013-07-18 15:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Carrai 2009-06-26 12:07:16 UTC
Version:           2.2-SVN (using 4.2.93 (KDE 4.2.93 (KDE 4.3 >= 20090623)) "release 1", KDE:KDE4:UNSTABLE:Desktop / openSUSE_11.0)
Compiler:          gcc
OS:                Linux (i686) release 2.6.25.20-0.4-pae

In Amarok context view you can order applets as you want by using the downside button located at the bottom of the context view. It would be more user-friendly to be able to move applet like we do for icons or plasma's applets. ( Holding left mouse button and moving to another place ). In my first impact i found strange changing context view's buttons order to change applet order. Also because button are moved horizontally and applet are move vertically, there's no a common "direction".
Comment 1 Mark Kretschmann 2013-07-18 15:39:14 UTC
Git commit 3dbb920033c3b66405b2b773c0da0e1f65df74cd by Mark Kretschmann.
Committed on 18/07/2013 at 09:56.
Pushed by markey into branch 'master'.

Improve usability of applet toolbar drag'n'drop.

Before, dnd was done by clicking, moving, releasing, which is
not how dnd usally works. Now it works by keeping the mouse button
pressed, and then releasing at target position.

Also we now change the mouse cursor during drag operation.
FIXED-IN: 2.8

M  +26   -41   src/context/toolbar/AppletItemOverlay.cpp
M  +1    -1    src/context/toolbar/AppletItemOverlay.h

http://commits.kde.org/amarok/3dbb920033c3b66405b2b773c0da0e1f65df74cd